package com.engine.kq.service;

import java.util.Map;
import weaver.hrm.User;

public interface KQShiftManagementService {

  /**
   * 获取tabs
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getTabs(Map<String, Object> params, User user);

  /**
   * 获取右键菜单
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getRightMenu(Map<String,Object> params, User user);

  /**
   * 获取班次管理查询条件条件
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getShiftManagementSearchCondition(Map<String, Object> params, User user);

  /**
   * 获取班次管理查询结果列表
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getShiftManagementSearchList(Map<String, Object> params, User user);

  /**
   * 获取班次管理基本信息表单
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getShiftManagementBaseForm(Map<String, Object> params, User user);

  /**
   * 保存班次管理基本信息表单
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> saveShiftManagementBaseForm(Map<String, Object> params, User user);

  /**
   * 获取班次管理个性化表单
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getShiftManagementPersonalizedForm(Map<String, Object> params, User user);

  /**
   * 保存班次管理个性化表单
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> saveShiftManagementPersonalizedForm(Map<String, Object> params, User user);

  /**
   * 删除班次管理
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> delShiftManagementForm(Map<String, Object> params, User user);

  /**
   * 获取邮件提醒内容设置
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getEmailRemindForm(Map<String, Object> params, User user);

  /**
   * 保存邮件西提醒内容设置
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> saveEmailRemind(Map<String, Object> params, User user);

  /**
   * 获取短信提醒内容设置
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getMessageRemindForm(Map<String, Object> params, User user);

  /**
   * 保存短信提醒内容设置
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> saveMessageRemind(Map<String, Object> params, User user);

  /**
   * 获取班次管理 分权操作级别
   * @param params
   * @param user
   * @return
   */
  public Map<String, Object> getDetachOperatelevel(Map<String, Object> params, User user);
}
